Bug 628731 - [Arrandale] Please include in Fedora an Ubuntu solution for laptop backlight brightness control
[Arrandale] Please include in Fedora an Ubuntu solution for laptop backlight ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
15
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
[cat:suspend]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-30 17:14 EDT by Jacques Goldberg
Modified: 2011-10-28 15:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 15:07:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after boot (122.59 KB, text/plain)
2011-10-26 19:28 EDT, K. Anderson
no flags Details
/var/log/messages (1.04 MB, text/plain)
2011-10-26 19:29 EDT, K. Anderson
no flags Details
xorg.0 (29.70 KB, text/plain)
2011-10-26 19:29 EDT, K. Anderson
no flags Details
xorg.1.log (30.43 KB, text/plain)
2011-10-26 19:31 EDT, K. Anderson
no flags Details

  None (edit)
Description Jacques Goldberg 2010-08-30 17:14:53 EDT
Description of problem:
Many reports on the Web of non working screen backlight brightness control.
This is a long standing problem, since F10.
Problem generally assigned to lack of function in ACPI.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.FN+F4 , FN+F5 have no effect (assigned buttons are machine dependent)
2.System->Preferences->Power Management->Set display brightness to: has no effect 
3.Power Management Brightness Applet does nothing
  
Actual results:
No control of backlight brightness on many brands of laptops.

Expected results:
Control of etc...

Additional info:

Solution has been found by the Ubuntu people (Mustafa Kemal)

Could it please be implemented in Fedora?
Please read https://bugs.launchpad.net/ubuntu/+source/linux/+bug/568611
and http://kernel.ubuntu.com/~kamal/i915bri~3e/
Comment 1 Bug Zapper 2011-05-31 10:59:22 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andy Ross 2011-06-09 14:10:27 EDT
FYI: I'm the original reporter of the launchpad bug.  Problem still exists on Fedora 15 for both of the machines I have that require the fix.  From the huge number of comments there, this patch seems to be required for working backlight control on perhaps every Arrandale laptop.
Comment 3 Matěj Cepl 2011-06-10 09:00:16 EDT
Andy, please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 K. Anderson 2011-10-26 19:28:55 EDT
Created attachment 530408 [details]
dmesg output after boot
Comment 5 K. Anderson 2011-10-26 19:29:27 EDT
Created attachment 530409 [details]
/var/log/messages
Comment 6 K. Anderson 2011-10-26 19:29:59 EDT
Created attachment 530410 [details]
xorg.0
Comment 7 K. Anderson 2011-10-26 19:31:04 EDT
Created attachment 530411 [details]
xorg.1.log
Comment 8 Andy Ross 2011-10-26 19:33:19 EDT
Just saw the activity here.  Note that the patch in question is in mainline as of 3.1.  I'm running it on my F15 box successfully: it creates a /sys/class/backlight/intel_backlight device, though the Gnome3 backlight integration still ignores it in favor of the acpi_video0 device which doesn't work.
Comment 9 K. Anderson 2011-10-26 19:35:24 EDT
Matej,
   I have attached the output requested from my laptop. I have the same issue with the backlight on a Dell Studio 1558. If I can provide more information for this please let me know. Also I didn't want to clear the needinfo request since I wasn't the original reporter. If I should clear it in the future please let me know.

Thanks,
Kevin
Comment 10 K. Anderson 2011-10-26 19:37:32 EDT
Andy,
   Is the 3.1 kernel in the fedora 15 repo or rawhide? I would like to try it to see if it works on my system as well since the 100% backlight is killing my eyes. Also do any kernel boot parameters need to be passed?
Comment 11 Jacques Goldberg 2011-10-27 14:07:40 EDT
(In reply to comment #8)
> Just saw the activity here.  Note that the patch in question is in mainline as
> of 3.1.  I'm running it on my F15 box successfully: it creates a
> /sys/class/backlight/intel_backlight device, though the Gnome3 backlight
> integration still ignores it in favor of the acpi_video0 device which doesn't
> work.

Andy,
Would you please be kind enough to give us a pointer to "the patch in question"?
I could not find any track to read about it, unless you mean the work done by Mustafa Kemal for Ubuntu systems which I wuoted in the first post to the present listing? If you have succeded porting Mustafa Kemal's work to F15, please give all details!

Thanks in advance
Jacques
Comment 13 Matěj Cepl 2011-10-28 15:07:39 EDT
(In reply to comment #10)
>    Is the 3.1 kernel in the fedora 15 repo or rawhide? I would like to try it
> to see if it works on my system as well since the 100% backlight is killing my
> eyes. Also do any kernel boot parameters need to be passed?

Given that the author of this "Ubuntu solution" is Matthew Garret from Red Hat, I think it will be in Fedora as soon as possible. However, I don't think we will make much rebasing in F15. If the rebasing is needed you should rather wait on F16 (which should come in next few weeks).

Closing as NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.